---
select * from dbo.tbl_test_01;

--%%physloc%%
select %%physloc%% as physloc, * 
  from dbo.tbl_test_01;

select %%physloc%% as physloc, sys.fn_PhysLocFormatter( %%physloc%% ), * 
  from dbo.tbl_test_01 t;

select %%physloc%% as physloc, * 
  from dbo.tbl_test_01 t
  cross apply sys.fn_PhysLocCracker( %%physloc%% ) fn;

--%%lockres%%
select %%lockres%% as lockres, * 
  from dbo.tbl_test_01;

begin tran
select @@trancount;

update dbo.tbl_test_01
  set val1 = 'Test_Value_00'
  where id = 2;

select * from sys.dm_tran_locks
  where request_session_id = @@spid;

select * 
  from dbo.tbl_test_01
  where %%lockres%% in ( '(61a06abd401c)' );

rollback;

--%%rowdump%%
select %%rowdump%% as rowdump, * 
  from dbo.tbl_test_01;

select %%rowdump%% as rowdump, * 
  from dbo.tbl_test_01 t
  cross apply sys.fn_RowDumpCracker( %%rowdump%% ) fn
  where id = 1;
