-- T-SQL
select @@microsoftversion / 0x1000000;

select pwdencrypt ('aaa');
if exists ( select * from sys.server_principals
              where name = 'TestLogin'
          )
drop login TestLogin;

create login TestLogin with password = 'MyNewPassword';

select password, * from sys.syslogins
  where name = 'TestLogin'
    and pwdcompare( 'MyNewPassword', password ) = 1;

select ( 10|12|45 ) aggOR;

select cast( sys.ORMask(i) as int ) aggOR 
  from ( values(10), (12), (45) ) t(i);

print object_definition ( object_id( 'sys.sysindexes' ) );

select -- .
      indexproperty( object_id( 'dbo.tbl_test_01' ), 'PK__tbl_test__3213E83F7065E658', 'keycnt80' ) 
      --   ,    , 
      --       .
    , indexproperty( object_id( 'dbo.tbl_test_01' ), 'PK__tbl_test__3213E83F7065E658', 'rowmodcnt80' ); 


select * from dbo.tbl_test_01
option ( querytraceon 2389, querytraceon 2390, recompile );

select * from sys.indexes
  where object_id = object_id ( 'dbo.tbl_test_01' );
/*is_hypothetical = 1 -              . 
     .
*/
select * from sys.stats
  where object_id = object_id ( 'dbo.tbl_test_01' );

create index xxx on dbo.tbl_test_01 ( val1 )
  with statistics_only;

select val1 from dbo.tbl_test_01 with ( index = 2 )
  where val1 = 'Test_Value_01';


--if columns_updated() = 0x
if object_id ( 'dbo.tbl_test_tr01', 'U' ) is not null
drop table dbo.tbl_test_tr01
go  
create table dbo.tbl_test_tr01 ( id int )
go
create trigger tr01 on tbl_test_tr01
for insert, update, delete
as
if columns_updated() = 0x
select 'DELETE' 
else 
select 'INSERT or UPDATE' 
go


insert into tbl_test_tr01
values (1)

update tbl_test_tr01
set id = id * 2

delete from tbl_test_tr01